uk.gov.hmrc.play.bootstrap.filters

# FrontendFilters

###
Related Doc: package filters

#### class FrontendFilters extends frontend.filters.FrontendFilters

Annotations
  @deprecated @Singleton()
Deprecated

  (Since version 2.12.0) Use uk.gov.hmrc.play.bootstrap.frontend.filter.FrontendFilters instead

Linear Supertypes
frontend.filters.FrontendFilters, HttpFilters, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FrontendFilters
2. FrontendFilters
3. HttpFilters
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new FrontendFilters(configuration: Configuration, loggingFilter: LoggingFilter, headersFilter: HeadersFilter, securityFilter: SecurityHeadersFilter, frontendAuditFilter: AuditFilter, metricsFilter: MetricsFilter, deviceIdFilter: DeviceIdFilter, csrfFilter: CSRFFilter, sessionCookieCryptoFilter: SessionCookieCryptoFilter, sessionTimeoutFilter: SessionTimeoutFilter, cacheControlFilter: CacheControlFilter, mdcFilter: MDCFilter)

   Annotations
     @Inject()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def asJava: HttpFilters

   Definition Classes
     HttpFilters

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### lazy val enableSecurityHeaderFilter: Boolean

   Definition Classes
     FrontendFilters

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### val filters: Seq[EssentialFilter]

    Definition Classes
      FrontendFilters → HttpFilters

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### val frontendFilters: Seq[EssentialFilter]

    Definition Classes
      FrontendFilters

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from frontend.filters.FrontendFilters

### Inherited from HttpFilters

### Inherited from AnyRef

### Inherited from Any

### Ungrouped